package cn.com.qmth.sdk.test;

import java.util.ArrayList;
import java.util.List;

import org.apache.commons.io.IOUtils;

import cn.com.qmth.sdk.bean.OuterExamStudentBean4Reset;
import cn.com.qmth.sdk.request.OuterResetExamStudentReq;
import cn.com.qmth.sdk.util.HttpMethod;
import cn.com.qmth.sdk.util.JsonUtil;
import cn.com.qmth.sdk.util.OKHttpUtil;
import cn.com.qmth.sdk.util.QmthUtil;
import okhttp3.Response;

public class ResetExamStudent {

	public static void main(String[] args) {
		OuterResetExamStudentReq reqBody = new OuterResetExamStudentReq();
		reqBody.setRootOrgId(0L);
		reqBody.setIdentityNumber("FDSFDS");
		reqBody.setStudentName("张三2");
		reqBody.setExamId(314L);
		List<OuterExamStudentBean4Reset> l = new ArrayList<OuterExamStudentBean4Reset>();
		OuterExamStudentBean4Reset b = new OuterExamStudentBean4Reset();
		b.setCourseCode("00003");
		b.setCourseName("test-00003.*?!@#$%^&（");
		b.setCourseLevel("ALL");
		b.setPaperType("M");
		l.add(b);
		reqBody.setExamStudentList(l);
		String url = QmthUtil.buildUrl("/api/exchange/outer/examStudent/resetExamStudent");
		Response resp = null;
		try {
			resp = OKHttpUtil.call(HttpMethod.POST, url, QmthUtil.getSecurityHeaders(),
					JsonUtil.toJson(reqBody));
			System.out.println(resp.code());
			System.out.println(resp.body().string());
		} catch (Exception e) {
			e.printStackTrace();
		} finally {
			IOUtils.closeQuietly(resp);
		}
	}

}
